> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aiid.edu.kg/llms.txt
> Use this file to discover all available pages before exploring further.

# Создать чат-диалог

> Создает ответ модели на основе истории диалога. Поддерживаются потоковые и непотоковые ответы.

Совместимо с OpenAI Chat Completions API.



## OpenAPI

````yaml api-reference/ru/openapi.json POST /v1/chat/completions
openapi: 3.0.0
info:
  title: Справочная документация API для "出海营"
  version: 1.0.0
  description: Public AI Gateway API Reference
servers:
  - url: https://api.aiid.edu.kg
security:
  - BearerAuth: []
tags:
  - name: Формат OpenAI (Chat)
  - name: Формат OpenAI (Responses)
  - name: Формат Gemini для генерации изображений
  - name: Генерация изображенийOpenAI в формате DALL-E
  - name: Получить список моделей
  - name: Генерация видеоHappyHorse и Wan
  - name: ФорматKling генерации видео
  - name: Видео-генерация Omni и формат Veo
  - name: Генерация видео Seedance
  - name: Совместимый формат для Sora генерации видео
  - name: Генерация видео Vidu
  - name: Формат задачи генерации музыки
paths:
  /v1/chat/completions:
    post:
      tags:
        - Формат OpenAI (Chat)
      summary: Создать чат-диалог
      description: >-
        Создает ответ модели на основе истории диалога. Поддерживаются потоковые
        и непотоковые ответы.


        Совместимо с OpenAI Chat Completions API.
      operationId: createChatCompletion
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChatCompletionRequest'
        required: true
      responses:
        '200':
          description: Успешный ответ на создание
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChatCompletionResponse'
          headers: {}
        '400':
          description: Ошибка параметров запроса
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          headers: {}
        '429':
          description: Ограничение частоты запросов
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  schemas:
    ChatCompletionRequest:
      type: object
      required:
        - model
        - messages
      properties:
        model:
          type: string
          description: ID модели
          example: gpt-4
        messages:
          type: array
          items:
            $ref: '#/components/schemas/Message'
          description: Список сообщений диалога
        temperature:
          type: number
          minimum: 0
          maximum: 2
          default: 1
          description: Температура выборки
        top_p:
          type: number
          minimum: 0
          maximum: 1
          default: 1
          description: Параметры ядерной выборки
        'n':
          type: integer
          minimum: 1
          default: 1
          description: Количество генерируемых объектов
        stream:
          type: boolean
          default: false
          description: Использовать ли потоковый ответ
        stream_options:
          type: object
          properties:
            include_usage:
              type: boolean
        stop:
          oneOf:
            - type: string
            - type: array
              items:
                type: string
          description: Стоп-последовательности
        max_tokens:
          type: integer
          description: Максимальное количество токенов генерации
        max_completion_tokens:
          type: integer
          description: Максимальное количество токенов завершения
        presence_penalty:
          type: number
          minimum: -2
          maximum: 2
          default: 0
        frequency_penalty:
          type: number
          minimum: -2
          maximum: 2
          default: 0
        logit_bias:
          type: object
          additionalProperties:
            type: number
          properties: {}
        user:
          type: string
        tools:
          type: array
          items:
            $ref: '#/components/schemas/Tool'
        tool_choice:
          oneOf:
            - type: string
              enum:
                - none
                - auto
                - required
            - type: object
              properties:
                type:
                  type: string
                function:
                  type: object
                  properties:
                    name:
                      type: string
        response_format:
          $ref: '#/components/schemas/ResponseFormat'
        seed:
          type: integer
        reasoning_effort:
          type: string
          enum:
            - low
            - medium
            - high
          description: Интенсивность рассуждений (для моделей с поддержкой Reasoning)
        modalities:
          type: array
          items:
            type: string
            enum:
              - text
              - audio
        audio:
          type: object
          properties:
            voice:
              type: string
            format:
              type: string
    ChatCompletionResponse:
      type: object
      properties:
        id:
          type: string
        object:
          type: string
          example: chat.completion
        created:
          type: integer
        model:
          type: string
        choices:
          type: array
          items:
            type: object
            properties:
              index:
                type: integer
              message:
                $ref: '#/components/schemas/Message'
              finish_reason:
                type: string
                enum:
                  - stop
                  - length
                  - tool_calls
                  - content_filter
        usage:
          $ref: '#/components/schemas/Usage'
        system_fingerprint:
          type: string
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              description: Сообщение об ошибке
            type:
              type: string
              description: Тип ошибки
            param:
              type: string
              description: Связанные параметры
              nullable: true
            code:
              type: string
              description: Код ошибки
              nullable: true
    Message:
      type: object
      required:
        - role
        - content
      properties:
        role:
          type: string
          enum:
            - system
            - user
            - assistant
            - tool
            - developer
          description: Роль сообщения
        content:
          oneOf:
            - type: string
            - type: array
              items:
                $ref: '#/components/schemas/MessageContent'
          description: Содержимое сообщения
        name:
          type: string
          description: Имя отправителя
        tool_calls:
          type: array
          items:
            $ref: '#/components/schemas/ToolCall'
        tool_call_id:
          type: string
          description: ID вызова инструмента (для сообщений с ролью tool)
        reasoning_content:
          type: string
          description: Содержимое рассуждений
    Tool:
      type: object
      properties:
        type:
          type: string
          example: function
        function:
          type: object
          properties:
            name:
              type: string
            description:
              type: string
            parameters:
              type: object
              description: Определение параметров в формате JSON Schema
              properties: {}
    ResponseFormat:
      type: object
      properties:
        type:
          type: string
          enum:
            - text
            - json_object
            - json_schema
        json_schema:
          type: object
          description: Определение JSON Schema
          properties: {}
    Usage:
      type: object
      properties:
        prompt_tokens:
          type: integer
          description: Количество токенов промпта
        completion_tokens:
          type: integer
          description: Количество токенов завершения
        total_tokens:
          type: integer
          description: Общее количество токенов
        prompt_tokens_details:
          type: object
          properties:
            cached_tokens:
              type: integer
            text_tokens:
              type: integer
            audio_tokens:
              type: integer
            image_tokens:
              type: integer
        completion_tokens_details:
          type: object
          properties:
            text_tokens:
              type: integer
            audio_tokens:
              type: integer
            reasoning_tokens:
              type: integer
    MessageContent:
      type: object
      properties:
        type:
          type: string
          enum:
            - text
            - image_url
            - input_audio
            - file
            - video_url
        text:
          type: string
        image_url:
          type: object
          properties:
            url:
              type: string
              description: URL изображения или base64
            detail:
              type: string
              enum:
                - low
                - high
                - auto
        input_audio:
          type: object
          properties:
            data:
              type: string
              description: Аудиоданные в кодировке Base64
            format:
              type: string
              enum:
                - wav
                - mp3
        file:
          type: object
          properties:
            filename:
              type: string
            file_data:
              type: string
            file_id:
              type: string
        video_url:
          type: object
          properties:
            url:
              type: string
    ToolCall:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          example: function
        function:
          type: object
          properties:
            name:
              type: string
            arguments:
              type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |-
        Используйте проверку подлинности Bearer Token.
        Формат: `Authorization: Bearer sk-xxxxxx`

````